regina::NTxIParallelCore Class Reference
Standard Triangulations and Subcomplexes

A specific six-tetrahedron NTxICore triangulation that does not fit neatly into other families. More...

`#include <subcomplex/ntxicore.h>`

Inheritance diagram for regina::NTxIParallelCore:

## Public Member Functions

| NTxIParallelCore ()
| Creates a new copy of this `T x I` triangulation. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this specific triangulation of `T x I` to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this specific triangulation of `T x I` in TeX format to the given output stream. More...
Public Member Functions inherited from regina::NTxICore
const NTriangulation & | core () const
| Returns a full copy of the `T x I` triangulation that this object describes. More...
unsigned | bdryTet (unsigned whichBdry, unsigned whichTri) const
| Determines which tetrahedron provides the requested boundary triangle. More...
NPerm4 | bdryRoles (unsigned whichBdry, unsigned whichTri) const
| Describes which tetrahedron vertices play which roles in the upper and lower boundary triangles. More...
const NMatrix2 & | bdryReln (unsigned whichBdry) const
| Returns a 2-by-2 matrix describing the alpha and beta curves on a torus boundary in terms of specific tetrahedron edges. More...
const NMatrix2 & | parallelReln () const
| Returns a 2-by-2 matrix describing the parallel relationship between the upper and lower boundary curves. More...
std::string | getName () const
| Returns the name of this specific triangulation of `T x I` as a human-readable string. More...
std::string | getTeXName () const
| Returns the name of this specific triangulation of `T x I` in TeX format. More...
void | writeTextShort (std::ostream &out) const
| Writes this object in short text format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes this object in long text format to the given output stream. More...
Public Member Functions inherited from regina::ShareableObject
| ShareableObject ()
| Default constructor that does nothing. More...
virtual | ~ShareableObject ()
| Default destructor that does nothing. More...
std::string | str () const
| Returns the output from writeTextShort() as a string. More...
std::string | toString () const
| A deprecated alias for str(), which returns the output from writeTextShort() as a string. More...
std::string | detail () const
| Returns the output from writeTextLong() as a string. More...
std::string | toStringLong () const
| A deprecated alias for detail(), which returns the output from writeTextLong() as a string. More...

## Additional Inherited Members

Protected Member Functions inherited from regina::NTxICore
| NTxICore ()
| Default constructor that performs no initialisation. More...
Protected Member Functions inherited from regina::boost::noncopyable
| noncopyable ()
| A constructor which does nothing. More...
| ~noncopyable ()
| A destructor which does nothing. More...
Protected Attributes inherited from regina::NTxICore
NTriangulation | core_
| A full copy of the `T x I` triangulation that is described. More...
unsigned | bdryTet_ [2][2]
| The tetrahedra that provide the upper and lower boundary triangles. More...
NPerm4 | bdryRoles_ [2][2]
| Describes which tetrahedron vertices play which roles in the upper and lower boundary triangles. More...
NMatrix2 | bdryReln_ [2]
| Expresses the alpha and beta curves for each torus boundary in terms of specific tetrahedron edges and vertices. More...
NMatrix2 | parallelReln_
| Expresses the lower alpha and beta curves in terms of the upper alpha and beta curves. More...

## Detailed Description

A specific six-tetrahedron NTxICore triangulation that does not fit neatly into other families.

This triangulation contains the fewest possible number of tetrahedra (NTxICore triangulations are not seen below six tetrahedra). It is referred to as `T_6^1` in the paper "Structures of small closed non-orientable 3-manifold triangulations", Benjamin A. Burton, J. Knot Theory Ramifications 16 (2007), 545–574. In Regina it is given the name `T_6*`, to avoid confusion with the different NTxIDiagonalCore triangulation `T_6:1`.

The triangulations of the upper and lower boundary tori are completely parallel (and in particular, the upper and lower alpha curves are parallel, as are the upper and lower beta curves).

For reference, the central torus of this triangulation is depicted below. The left and right sides of the diagram are identified, as are the top and bottom. The four triangles u0, u1, w0 and w1 provide the boundary triangles of the overall triangulation, with the upper boundary coned out from triangles u0 and u1 and the lower boundary coned out from triangles w0 and w1. In each boundary, u0 or w0 gives the first boundary triangle and u1 or w1 gives the second. The directions of the corresponding alpha and beta curves are are also included.

## Constructor & Destructor Documentation

regina::NTxIParallelCore::NTxIParallelCore | ( |  | ) |

Creates a new copy of this `T x I` triangulation.

## Member Function Documentation

std::ostream & regina::NTxIParallelCore::writeName | ( | std::ostream & | out | ) | const

inline virtual

Writes the name of this specific triangulation of `T x I` to the given output stream.

The name will be written as a human-readable string.

Python:
  The argument out is missing, and is always assumed to be standard output.

Parameters

  out | the output stream to which to write.

Returns
  a reference to the given output stream.

Implements regina::NTxICore.

std::ostream & regina::NTxIParallelCore::writeTeXName | ( | std::ostream & | out | ) | const

inline virtual

Writes the name of this specific triangulation of `T x I` in TeX format to the given output stream.

No leading or trailing dollar signs will be written.

Python:
  The argument out is missing, and is always assumed to be standard output.

Parameters

  out | the output stream to which to write.

Returns
  a reference to the given output stream.

Implements regina::NTxICore.

The documentation for this class was generated from the following file:

- subcomplex/ntxicore.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).